#
# spec file for package xmessage
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xmessage
Version:        1.0.7
Release:        1.4
Summary:        Utility to display a message or query in a window
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xmessage displays a message or query in a window. The user can click
on an "okay" button to dismiss it or can select one of several buttons
to answer a question. xmessage can also exit after a specified time.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README
%{_bindir}/xmessage
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Xmessage
%{_datadir}/X11/app-defaults/Xmessage-color
%{_mandir}/man1/xmessage.1%{?ext_man}

%changelog
* Mon Mar  4 2024 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.7
  * Print which arguments were unknown before giving usage message
  * Add -version option
  * configure: Use AC_SYS_LARGEFILE to enable large file support
* Tue Jul 12 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.6
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * Build xz tarballs instead of bzip2
  * Stop casting arguments to free()
  * Stop casting function return values to void
  * gitlab CI: stop requiring Signed-off-by in commits
* Sat Apr 17 2021 Dirk Müller <dmueller@suse.com>
- modernize spec file (move license to licensedir)
* Wed Apr  4 2018 sndirsch@suse.com
- Update to version 1.0.5
  * Stop leaking temporary buffer when realloc fails to enlarge it
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.4:
  + config:
  - Add missing AC_CONFIG_SRCDIR.
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  - Replace deprecated AC_HELP_STRING with AS_HELP_STRING.
  - Remove AC_PROG_CC as it overrides AC_PROG_C_C99.
  - Use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS.
  - Upgrade to util-macros 1.8 for additional man page support.
  - Update AC_PREREQ statement to 2.60.
  + man:
  - Replace hard coded man page section with substitution
    strings.
  - Remove trailing spaces and tabs.
  - Point to the X manpage for more command line options.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xmessage from xorg-x11. Initial version: 1.0.3.
